OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
InternalNode< _ChildNodeType, Log2Dim >::TopologyUnion< OtherInternalNode > Struct Template Reference

`#include <InternalNode.h>`

## Classes
struct | A

## Public Types
using | W = typename NodeMaskType::Word

## Public Member Functions
| TopologyUnion (const OtherInternalNode *source, InternalNode *target)
void | operator() (const tbb::blocked_range< Index > &r) const

## Public Attributes
const OtherInternalNode * | s
InternalNode * | t

## Member Typedef Documentation

## ◆ W

using W = typename NodeMaskType::Word

## Constructor & Destructor Documentation

## ◆ TopologyUnion()

TopologyUnion | ( | const OtherInternalNode * | source,
|  | InternalNode * | target
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< Index > & | r | ) | const
| inline

## Member Data Documentation

## ◆ s

const OtherInternalNode* s

## ◆ t

InternalNode* t

The documentation for this struct was generated from the following file:

- InternalNode.h